<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no `home.php` file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package WowPress
 */

get_header();
?>

	<section id="primary" <?php if(!get_sidebar_status('top') || !is_user_logged_in()):?> style="margin-top:calc(-1 * var(--wowp-gap))" <?php endif; ?>>
		<main id="main">

		<?php
		if ( have_posts() ) {

			if ( is_home() && ! is_front_page() ) :
				?>
				<header class="entry-header">
					<h1 class="entry-title"><?php single_post_title(); ?></h1>
				</header><!-- .entry-header -->
				<?php
			endif;

			// Load posts loop.
			while ( have_posts() ) {
				the_post();
				get_template_part( 'template-parts/content/content' );
			}

			// Previous/next page navigation.
			?>
			<template x-data x-teleport="#sidebar_bottom">
				<div class="bg-glass shadow p-auto flex flex-row justify-center gap-2">
				<?php foreach(paginate_links(['type' => 'array']) as $link):?>
					<?=$link?>
				<?php endforeach; ?>
				</div>
			</template>
			<?php

		} else {

			// If no content, include the "No posts found" template.
			get_template_part( 'template-parts/content/content', 'none' );

		}
		?>

		</main><!-- #main -->
	</section><!-- #primary -->

<?php
get_footer();
